Service Resources¶
List Ingress Rules¶
GET /api/container_services/{container-service-id}/ingress_rules
OAuth authorization required: project_read
Schema
ingress_rules:Array<IngressRule>
List Events¶
GET /api/container_services/{container-service-id}/events
OAuth authorization required: project_read
Schema
event_logs:Array<EventLog>
List Containers¶
GET /api/container_services/{container-service-id}/containers
OAuth authorization required: project_read
Schema
containers:Array<Container>| Each includesnode_status. See View Container.
List Bastion Containers¶
GET /api/container_services/{container-service-id}/bastions
OAuth authorization required: project_read
Schema
bastions: Arrayid: Integername: Stringstatus: Stringnode_id: Integerip_addr: Stringcreated_at: DateTimeupdated_at: DateTimeport: Integerpw_auth: Boolean | If true, password auth is enabled.username: Stringpassword: Stringon_latest_image: Boolean | Whether the bastion runs the current configured bastion image. Stored, not checked live: it's refreshed by the nightly image update on nodes that are online at the time, and set back totruewhen the bastion is rebuilt. It can be out of date until the next successful nightly refresh, usually within a day.node_status: Object | Status of the node running this bastion. See Node status.
List Load Balancers¶
GET /api/container_services/{container-service-id}/load_balancers
OAuth authorization required: project_read
Schema
load_balancers:Array<LoadBalancer>